Upsert Service Charges
post
/config/sim/v2/sales/upsertServiceCharges
Updates the provided fields when the Service Charge exists; otherwise, creates a new Service Charge.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Request body for partially updating an existing Service Charge or creating a new one.
Root Schema : schema
Type:
objectModel for Service Charge upsert. Omitted fields are retained when updating an existing Service Charge.
Show Source
-
amount:
number
Maximum amount allowed for an open-priced or amount Service Charge.Example:
1 -
consumerDisplayname:
object consumerDisplayname
Consumer display name in configured languages.
-
dataExtensions:
array dataExtensions
Array of data extensions.
-
effGrpObjNum:
integer
Effectivity Group object number. Together with hierUnitId and objectNum, identifies the Service Charge and cannot be changed by upsert.Example:
1 -
externalReference1:
string
Maximum Length:
32Alpha-numeric external-system reference with a maximum length of 32 characters.Example:ExternalReference1 -
externalReference2:
string
Maximum Length:
32Alpha-numeric external-system reference with a maximum length of 32 characters.Example:ExternalReference2 -
halo:
number
Maximum amount allowed for an open-priced or amount Service Charge.Example:
1 -
hierUnitId(required):
integer
Unique reference of the hierarchy unit of the property.Example:
1 -
mainLevelPopup:
integer
Main level activated after the Service Charge is pressed.Example:
1 - menuLevels: object menuLevels
-
name:
object name
Service Charge name. Required when the upsert creates a new Service Charge.
-
nlu:
integer
Unique number lookup for the Service Charge. Valid range is 0 to 9999999999.Example:
1 -
objectNum(required):
integer
Object number of the Service Charge.Example:
1 -
options:
string
Bit string of length 48 representing Service Charge option enablement.Example:
000000000000000000000000000000000000000000000000 -
percent:
number
Percentage for the manual Service Charge.Example:
1 -
percentToTipsPaid:
integer
Percentage of a charged tip that posts to the Tips Paid Tender/Media.Example:
1 -
pickupTenderOrMediaObjNum:
integer
Pickup Tender/Media object number for the Service Charge.Example:
1 -
printClassObjNum:
integer
Print Class object number for the Service Charge.Example:
1 -
privilegeGroup:
integer
Privilege Group number that restricts use of the Service Charge.Example:
1 -
reportGroupObjNum:
integer
Report Group object number associated with the Service Charge.Example:
1 -
subLevelPopup:
integer
Sub level activated after the Service Charge is pressed.Example:
1 -
svcItmzr:
string
Bit string of length 8 representing the Service Charge itemizers on which the Service Charge is computable.Example:
00000010 -
svcSLUNum:
integer
Object number of the Screen Lookup key for the Service Charge.Example:
1 -
taxClassObjNum:
integer
Tax Class object number for the Service Charge.Example:
1 -
transDefaultMainLevel:
boolean
Indicates whether the transaction returns to the default main level after the Service Charge is pressed.Example:
false -
transDefaultSubLevel:
boolean
Indicates whether the transaction returns to the default sub level after the Service Charge is pressed.Example:
false
Nested Schema : consumerDisplayname
Type:
objectConsumer display name in configured languages.
Example:
{
"1":"Enterprise",
"2":"Unternehmen",
"3":"Empresa"
}Nested Schema : name
Type:
objectService Charge name. Required when the upsert creates a new Service Charge.
Example:
{
"1":"Enterprise",
"2":"Unternehmen",
"3":"Empresa"
}Nested Schema : items
Type:
Show Source
object-
columnName:
string
Name of the extension field.Example:
extension column 1 -
value:
string
Value of the extension field.Example:
Value1
Response
Supported Media Types
- application/json
200 Response
Service Charge entity Updated.
Root Schema : schema
Type:
Show Source
object-
effGrpObjNum:
integer
Object number of the Effectivity Group for the current recordExample:
1 -
hierUnitId:
integer
Unique reference of the hierarchy unit of the propertyExample:
1 -
objectNum:
integer
Object number of the Service ChargeExample:
1
201 Response
Service Charge entity Added.
Root Schema : schema
Type:
Show Source
object-
effGrpObjNum:
integer
Object number of the Effectivity Group for the current recordExample:
1 -
hierUnitId:
integer
Unique reference of the hierarchy unit of the propertyExample:
1 -
objectNum:
integer
Object number of the Service ChargeExample:
1